[NetBSD 2.0 i386] compilation de pkgsrc plante

Le
Emmanuel Eisenstaedt
Bonjour,

Je suis novice en NetBSD et j'ai un problème qui doit être très con mais
je tourne en rond depuis 3 jours alors je me lance:
Chaque fois que je compile un package (/usr/pkgsrc/net/samba par
exemple), j'ai une erreur du type:


manu@crossroads$ make build
Syntax error: "(" unexpected
*** Error code 2

Stop.
make: stopped in /usr/pkgsrc/net/samba

manu@crossroads$


Par contre la commande 'make fetch-list | sh' marche.

Impossible de compiler quoi que ce soit, c'est pas spécifique à Samba,
n'importe quel package me renvoie cette erreur.

Récemment j'ai mis à jour brutalement pkgsrc en faisant un 'rm -rf *' du
répertoire et en récupérant tout via CVS, ca vient peut être de là?

J'ai lu la doc mais là je sèche alors si une bonne âme a la solution??

Merci d'avance,
Emmanuel Eisenstaedt
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Manuel Bouyer
Le #883060
Emmanuel Eisenstaedt
Bonjour,

Je suis novice en NetBSD et j'ai un problème qui doit être très con mais
je tourne en rond depuis 3 jours alors je me lance:
Chaque fois que je compile un package (/usr/pkgsrc/net/samba par
exemple), j'ai une erreur du type:

---------------------------------------
$ make build


Pourquoi build ?
'make' tout court doit suffire.

--
Manuel Bouyer NetBSD: 26 ans d'experience feront toujours la difference
--

Emmanuel Eisenstaedt
Le #883055
Emmanuel Eisenstaedt
Récemment j'ai mis à jour brutalement pkgsrc en faisant un 'rm -rf *' du
répertoire et en récupérant tout via CVS, ca vient peut être de là?


Ca vient probablement du fait que pkgsrc demande une version de make
plus récente que celle que tu as. Quelle est ta version de NetBSD ?

C'est la version 2.0



Emmanuel Eisenstaedt
Le #883054
Emmanuel Eisenstaedt
Bonjour,

Je suis novice en NetBSD et j'ai un problème qui doit être très con mais
je tourne en rond depuis 3 jours alors je me lance:
Chaque fois que je compile un package (/usr/pkgsrc/net/samba par
exemple), j'ai une erreur du type:

---------------------------------------
$ make build


Pourquoi build ?
'make' tout court doit suffire.



la commande make produit la même erreur.


Manuel Bouyer
Le #882814
Emmanuel Eisenstaedt
Emmanuel Eisenstaedt
Bonjour,

Je suis novice en NetBSD et j'ai un problème qui doit être très con mais
je tourne en rond depuis 3 jours alors je me lance:
Chaque fois que je compile un package (/usr/pkgsrc/net/samba par
exemple), j'ai une erreur du type:

---------------------------------------
$ make build


Pourquoi build ?
'make' tout court doit suffire.



la commande make produit la même erreur.


Dans ce cas, comme suggere par xavier, ca viens probablement de la version de
make. J'essairais d'installer NetBSD 2.1, ou meme un snapshot plus recent
de la branche netbsd-2

--
Manuel Bouyer NetBSD: 26 ans d'experience feront toujours la difference
--



Emmanuel Eisenstaedt
Le #882813
Emmanuel Eisenstaedt
Emmanuel Eisenstaedt
Bonjour,
Je suis novice en NetBSD et j'ai un problème qui doit être très con mais
je tourne en rond depuis 3 jours alors je me lance:
Chaque fois que je compile un package (/usr/pkgsrc/net/samba par
exemple), j'ai une erreur du type:
---------------------------------------
$ make build
Pourquoi build ?

'make' tout court doit suffire.



la commande make produit la même erreur.


Dans ce cas, comme suggere par xavier, ca viens probablement de la version de
make. J'essairais d'installer NetBSD 2.1, ou meme un snapshot plus recent
de la branche netbsd-2



Merci pour vos conseils, je vais m'y atteler!




LinuxKiller
Le #882576
Emmanuel Eisenstaedt wrote:

la commande make produit la même erreur.



essayes bmake qui fait partie du bootstrap pkgsrc

Publicité
Poster une réponse
Anonyme